<?php
/**
 * MessageOutTest
 *
 * PHP version 5
 *
 * @category Class
 * @package  text-magic
 * @author   Swagger Codegen team
 * @link     https://github.com/swagger-api/swagger-codegen
 */

/**
 * TextMagic
 *
 * TextMagic REST API
 *
 * OpenAPI spec version: 2
 * 
 * Generated by: https://github.com/swagger-api/swagger-codegen.git
 * Swagger Codegen version: 2.4.7
 */

/**
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen
 * Please update the test case below to test the model.
 */

namespace text-magic;

/**
 * MessageOutTest Class Doc Comment
 *
 * @category    Class
 * @description MessageOut
 * @package     text-magic
 * @author      Swagger Codegen team
 * @link        https://github.com/swagger-api/swagger-codegen
 */
class MessageOutTest extends \PHPUnit_Framework_TestCase
{

    /**
     * Setup before running any test case
     */
    public static function setUpBeforeClass()
    {
    }

    /**
     * Setup before running each test case
     */
    public function setUp()
    {
    }

    /**
     * Clean up after running each test case
     */
    public function tearDown()
    {
    }

    /**
     * Clean up after running all test cases
     */
    public static function tearDownAfterClass()
    {
    }

    /**
     * Test "MessageOut"
     */
    public function testMessageOut()
    {
    }

    /**
     * Test attribute "id"
     */
    public function testPropertyId()
    {
    }

    /**
     * Test attribute "contactId"
     */
    public function testPropertyContactId()
    {
    }

    /**
     * Test attribute "sessionId"
     */
    public function testPropertySessionId()
    {
    }

    /**
     * Test attribute "receiver"
     */
    public function testPropertyReceiver()
    {
    }

    /**
     * Test attribute "messageTime"
     */
    public function testPropertyMessageTime()
    {
    }

    /**
     * Test attribute "status"
     */
    public function testPropertyStatus()
    {
    }

    /**
     * Test attribute "avatar"
     */
    public function testPropertyAvatar()
    {
    }

    /**
     * Test attribute "text"
     */
    public function testPropertyText()
    {
    }

    /**
     * Test attribute "deleted"
     */
    public function testPropertyDeleted()
    {
    }

    /**
     * Test attribute "charset"
     */
    public function testPropertyCharset()
    {
    }

    /**
     * Test attribute "charsetLabel"
     */
    public function testPropertyCharsetLabel()
    {
    }

    /**
     * Test attribute "firstName"
     */
    public function testPropertyFirstName()
    {
    }

    /**
     * Test attribute "lastName"
     */
    public function testPropertyLastName()
    {
    }

    /**
     * Test attribute "country"
     */
    public function testPropertyCountry()
    {
    }

    /**
     * Test attribute "sender"
     */
    public function testPropertySender()
    {
    }

    /**
     * Test attribute "phone"
     */
    public function testPropertyPhone()
    {
    }

    /**
     * Test attribute "price"
     */
    public function testPropertyPrice()
    {
    }

    /**
     * Test attribute "partsCount"
     */
    public function testPropertyPartsCount()
    {
    }

    /**
     * Test attribute "fromEmail"
     */
    public function testPropertyFromEmail()
    {
    }

    /**
     * Test attribute "fromNumber"
     */
    public function testPropertyFromNumber()
    {
    }

    /**
     * Test attribute "smscId"
     */
    public function testPropertySmscId()
    {
    }

    /**
     * Test attribute "contact"
     */
    public function testPropertyContact()
    {
    }

    /**
     * Test attribute "source"
     */
    public function testPropertySource()
    {
    }

    /**
     * Test attribute "deliveredCount"
     */
    public function testPropertyDeliveredCount()
    {
    }

    /**
     * Test attribute "numbersCount"
     */
    public function testPropertyNumbersCount()
    {
    }

    /**
     * Test attribute "userId"
     */
    public function testPropertyUserId()
    {
    }

    /**
     * Test attribute "creditsPrice"
     */
    public function testPropertyCreditsPrice()
    {
    }

    /**
     * Test attribute "chars"
     */
    public function testPropertyChars()
    {
    }
}
